#ifndef GLOBAL_H
#define GLOBAL_H

#include <progmem.h>

typedef unsigned char  	u08;
typedef          char  	s08;
typedef unsigned short 	u16;
typedef          short 	s16;
typedef unsigned long  	u32;

typedef unsigned char  	prog_u08 PROGMEM;
typedef unsigned short 	prog_u16 PROGMEM;

// ---- Global / SNAP Definitions -----------------------------------------------------------------------
#define F_CPU        		4194304               						// CPU-Clockspeed in Hz
#define TICK_100M				(F_CPU / 20480) 								// timer 0 prescaler for 100ms tick
// ----------------------------------------------------------------------------------------------------
																					// valid if counter 0 prescaler = 8

#endif